Retrieve Submission Export Results
After submitting a request to export a submission from your Vault, you can query Vault to determine the results of the request.
Before submitting this request:
- You must have previously requested a submission export job (via the API) which is no longer active.
- You must have a valid
job_idreturned from an Export Single Submission or Export Multiple Submissions request.
GET
/api/{version}/app/regulatory/submissions_archive/export_job/{job_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{job_id} | The unique ID returned in the response of the initial export request. |
Request
Section link for Requestcurl -X GET -H "Authorization: {AUTH_VALUE}" \
https://myvault.veevavault.com/api/v26.2/app/regulatory/submissions_archive/export_job/418103Response: Export Single Submission
Section link for Response: Export Single SubmissionFor jobs started with Export Single Submission:
{
"status": "SUCCESS",
"responseMessage": "Submissions Archive Export Results",
"data": {
"job_id": "428589",
"job_status": "SUCCEEDED",
"user_id": "724713",
"submission_path": "/u724713/Submissions Archive Export/428589/nda216432-0000.zip",
"export_summary": "/u724713/Submissions Archive Export/428589/nda216432-0000-export-summary.zip"
}
}Response: Export Multiple Submissions
Section link for Response: Export Multiple SubmissionsFor jobs started with Export Multiple Submissions:
{
"status": "SUCCESS",
"responseMessage": "Submissions Archive Export Results",
"data": {
"job_id": "428604",
"job_status": "SUCCEEDED",
"user_id": "724713",
"file_path": "/u724713/Submissions Archive Export/428604"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
| Name | Description |
|---|---|
job_id | The unique ID assigned to the asynchronous export job in Vault. |
job_status | The current status of the job. Possible values: QUEUED, RUNNING, SUCCEEDED, FAILED, EXPIRED, NOT FOUND. |
user_id | The ID of the Vault user who initiated the request. |
submission_path | For Export Single Submission requests, this is the file staging path to the exported submission archive. Vault returns this field for single submission exports. |
export_summary | For Export Single Submission requests, this is the file staging path to the export summary, which Vault writes alongside the submission archive. Vault returns this field for single submission exports. |
file_path | For Export Multiple Submissions requests, this is the path to the exported package in file staging. |
The format parameter you pass to Export Single Submission determines the extension of the submission archive. The export summary is always a .zip file.
To download either file from file staging, use Download Item Content.